CREATE TABLE cst_user_adjustments (
    USER_ADJUSTMENT_ID            NUMBER(18, 0) ,
    ADJUSTMENT_NUMBER             VARCHAR2(200) ,
    ADJUSTMENT_HEADER_ID          NUMBER(18, 0) ,
    STATUS_CODE                   VARCHAR2(120) ,
    ADJUSTMENT_DATE               TIMESTAMP(6)  ,
    USER_ADJ_DATE_FLAG            VARCHAR2(20)  ,
    USER_DEFINED_FLAG             VARCHAR2(20)  ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    COST_ORG_ID                   NUMBER(18, 0)     NOT NULL,
    COST_BOOK_ID                  NUMBER(18, 0)     NOT NULL,
    INVENTORY_ITEM_ID             NUMBER(18, 0)     NOT NULL,
    VAL_UNIT_ID                   NUMBER(18, 0) ,
    COST_ELEMENT_ID               NUMBER(18, 0)     NOT NULL,
    EFF_DATE                      TIMESTAMP(6)      NOT NULL,
    EXPENSE_POOL_ID               NUMBER(18, 0) ,
    UNIT_COST                     NUMBER        ,
    NEW_COST                      NUMBER            NOT NULL,
    CURRENCY_CODE                 VARCHAR2(60)  ,
    REASON_CODE                   VARCHAR2(120) ,
    USER_COMMENT                  VARCHAR2(960) ,
    BASE_TXN_TYPE_ID              NUMBER(18, 0) ,
    BASE_TXN_SOURCE_TYPE_ID       NUMBER(18, 0) ,
    BASE_TXN_ACTION_ID            NUMBER(18, 0) ,
    TRANSACTION_ID                NUMBER(18, 0) ,
    PREPROCESSED_FLAG             VARCHAR2(4)       NOT NULL,
    COST_DATE                     TIMESTAMP(6)  ,
    POSTED_FLAG                   VARCHAR2(4)       NOT NULL,
    SOURCE_TRANSACTION_ID         NUMBER(18, 0) ,
    SOURCE_TRANSACTION_COST_ID    NUMBER(18, 0) ,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    REQUEST_ID                    NUMBER(18, 0) ,
    JOB_DEFINITION_NAME           VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE        VARCHAR2(3600),
    ATTRIBUTE_CATEGORY            VARCHAR2(120) ,
    ATTRIBUTE_CHAR1               VARCHAR2(600) ,
    ATTRIBUTE_CHAR2               VARCHAR2(600) ,
    ATTRIBUTE_CHAR3               VARCHAR2(600) ,
    ATTRIBUTE_CHAR4               VARCHAR2(600) ,
    ATTRIBUTE_CHAR5               VARCHAR2(600) ,
    ATTRIBUTE_CHAR6               VARCHAR2(600) ,
    ATTRIBUTE_CHAR7               VARCHAR2(600) ,
    ATTRIBUTE_CHAR8               VARCHAR2(600) ,
    ATTRIBUTE_CHAR9               VARCHAR2(600) ,
    ATTRIBUTE_CHAR10              VARCHAR2(600) ,
    ATTRIBUTE_CHAR11              VARCHAR2(600) ,
    ATTRIBUTE_CHAR12              VARCHAR2(600) ,
    ATTRIBUTE_CHAR13              VARCHAR2(600) ,
    ATTRIBUTE_CHAR14              VARCHAR2(600) ,
    ATTRIBUTE_CHAR15              VARCHAR2(600) ,
    ATTRIBUTE_CHAR16              VARCHAR2(600) ,
    ATTRIBUTE_CHAR17              VARCHAR2(600) ,
    ATTRIBUTE_CHAR18              VARCHAR2(600) ,
    ATTRIBUTE_CHAR19              VARCHAR2(600) ,
    ATTRIBUTE_CHAR20              VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1             NUMBER        ,
    ATTRIBUTE_NUMBER2             NUMBER        ,
    ATTRIBUTE_NUMBER3             NUMBER        ,
    ATTRIBUTE_NUMBER4             NUMBER        ,
    ATTRIBUTE_NUMBER5             NUMBER        ,
    ATTRIBUTE_NUMBER6             NUMBER        ,
    ATTRIBUTE_NUMBER7             NUMBER        ,
    ATTRIBUTE_NUMBER8             NUMBER        ,
    ATTRIBUTE_NUMBER9             NUMBER        ,
    ATTRIBUTE_NUMBER10            NUMBER        ,
    ATTRIBUTE_DATE1               DATE          ,
    ATTRIBUTE_DATE2               DATE          ,
    ATTRIBUTE_DATE3               DATE          ,
    ATTRIBUTE_DATE4               DATE          ,
    ATTRIBUTE_DATE5               DATE          ,
    ATTRIBUTE_TIMESTAMP1          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5          TIMESTAMP(6)  ,
    USER_ADJUSTMENT_ID            NUMBER(18, 0) ,
    ADJUSTMENT_NUMBER             VARCHAR2(200) ,
    ADJUSTMENT_HEADER_ID          NUMBER(18, 0) ,
    STATUS_CODE                   VARCHAR2(120) ,
    ADJUSTMENT_DATE               TIMESTAMP(6)  ,
    USER_ADJ_DATE_FLAG            VARCHAR2(20)  ,
    USER_DEFINED_FLAG             VARCHAR2(20)  ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    COST_ORG_ID                   NUMBER(18, 0)     NOT NULL,
    COST_BOOK_ID                  NUMBER(18, 0)     NOT NULL,
    INVENTORY_ITEM_ID             NUMBER(18, 0)     NOT NULL,
    VAL_UNIT_ID                   NUMBER(18, 0) ,
    COST_ELEMENT_ID               NUMBER(18, 0)     NOT NULL,
    EFF_DATE                      TIMESTAMP(6)      NOT NULL,
    EXPENSE_POOL_ID               NUMBER(18, 0) ,
    UNIT_COST                     NUMBER        ,
    NEW_COST                      NUMBER            NOT NULL,
    CURRENCY_CODE                 VARCHAR2(60)  ,
    REASON_CODE                   VARCHAR2(120) ,
    USER_COMMENT                  VARCHAR2(960) ,
    BASE_TXN_TYPE_ID              NUMBER(18, 0) ,
    BASE_TXN_SOURCE_TYPE_ID       NUMBER(18, 0) ,
    BASE_TXN_ACTION_ID            NUMBER(18, 0) ,
    TRANSACTION_ID                NUMBER(18, 0) ,
    PREPROCESSED_FLAG             VARCHAR2(4)       NOT NULL,
    COST_DATE                     TIMESTAMP(6)  ,
    POSTED_FLAG                   VARCHAR2(4)       NOT NULL,
    SOURCE_TRANSACTION_ID         NUMBER(18, 0) ,
    SOURCE_TRANSACTION_COST_ID    NUMBER(18, 0) ,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    REQUEST_ID                    NUMBER(18, 0) ,
    JOB_DEFINITION_NAME           VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE        VARCHAR2(3600),
    ATTRIBUTE_CATEGORY            VARCHAR2(120) ,
    ATTRIBUTE_CHAR1               VARCHAR2(600) ,
    ATTRIBUTE_CHAR2               VARCHAR2(600) ,
    ATTRIBUTE_CHAR3               VARCHAR2(600) ,
    ATTRIBUTE_CHAR4               VARCHAR2(600) ,
    ATTRIBUTE_CHAR5               VARCHAR2(600) ,
    ATTRIBUTE_CHAR6               VARCHAR2(600) ,
    ATTRIBUTE_CHAR7               VARCHAR2(600) ,
    ATTRIBUTE_CHAR8               VARCHAR2(600) ,
    ATTRIBUTE_CHAR9               VARCHAR2(600) ,
    ATTRIBUTE_CHAR10              VARCHAR2(600) ,
    ATTRIBUTE_CHAR11              VARCHAR2(600) ,
    ATTRIBUTE_CHAR12              VARCHAR2(600) ,
    ATTRIBUTE_CHAR13              VARCHAR2(600) ,
    ATTRIBUTE_CHAR14              VARCHAR2(600) ,
    ATTRIBUTE_CHAR15              VARCHAR2(600) ,
    ATTRIBUTE_CHAR16              VARCHAR2(600) ,
    ATTRIBUTE_CHAR17              VARCHAR2(600) ,
    ATTRIBUTE_CHAR18              VARCHAR2(600) ,
    ATTRIBUTE_CHAR19              VARCHAR2(600) ,
    ATTRIBUTE_CHAR20              VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1             NUMBER        ,
    ATTRIBUTE_NUMBER2             NUMBER        ,
    ATTRIBUTE_NUMBER3             NUMBER        ,
    ATTRIBUTE_NUMBER4             NUMBER        ,
    ATTRIBUTE_NUMBER5             NUMBER        ,
    ATTRIBUTE_NUMBER6             NUMBER        ,
    ATTRIBUTE_NUMBER7             NUMBER        ,
    ATTRIBUTE_NUMBER8             NUMBER        ,
    ATTRIBUTE_NUMBER9             NUMBER        ,
    ATTRIBUTE_NUMBER10            NUMBER        ,
    ATTRIBUTE_DATE1               DATE          ,
    ATTRIBUTE_DATE2               DATE          ,
    ATTRIBUTE_DATE3               DATE          ,
    ATTRIBUTE_DATE4               DATE          ,
    ATTRIBUTE_DATE5               DATE          ,
    ATTRIBUTE_TIMESTAMP1          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5          TIMESTAMP(6)  ,
    CONSTRAINT pk_cst_user_adjustments PRIMARY KEY (USER_ADJUSTMENT_ID, USER_ADJUSTMENT_ID)
);
